Index: /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/src/Execute_loop_allocation.cpp	(revision 88)
@@ -1134,16 +1245,16 @@
        for (uint32_t i=0; i<_param->_nb_write_unit; i++)
 	 {
-	   dest = _name+"_write_unit_"+toString(i);
-#ifdef POSITION
-	   _component->interface_map (src ,"gpr_write_"+toString(i)
-				      dest,"gpr_write_0");
-#endif
-       
-	   PORT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_VAL"          ,dest,"out_GPR_WRITE_0_VAL"          );
-	   PORT_MAP(_component ,src ,"out_GPR_WRITE_"+toString(i)+"_ACK"          ,dest, "in_GPR_WRITE_0_ACK"          );
-	   if (_param->_have_port_context_id)
-	   PORT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_GPR_WRITE_0_OOO_ENGINE_ID");
-	   PORT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_NUM_REG"      ,dest,"out_GPR_WRITE_0_NUM_REG"      );
-	   PORT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_DATA"         ,dest,"out_GPR_WRITE_0_DATA"         );
+	   dest = _name+"_glue";
+#ifdef POSITION
+	   _component->interface_map (src ,"gpr_write_"+toString(i),
+				      dest,"gpr_write_register_file_"+toString(i));
+#endif
+       
+	   COMPONENT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_VAL"          ,dest,"out_GPR_WRITE_REGISTER_FILE_"+toString(i)+"_VAL"          );
+	   COMPONENT_MAP(_component ,src ,"out_GPR_WRITE_"+toString(i)+"_ACK"          ,dest, "in_GPR_WRITE_REGISTER_FILE_"+toString(i)+"_ACK"          );
+	   if (_param->_have_port_ooo_engine_id)
+	   COMPONENT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_GPR_WRITE_REGISTER_FILE_"+toString(i)+"_OOO_ENGINE_ID");
+	   COMPONENT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_NUM_REG"      ,dest,"out_GPR_WRITE_REGISTER_FILE_"+toString(i)+"_NUM_REG"      );
+	   COMPONENT_MAP(_component ,src , "in_GPR_WRITE_"+toString(i)+"_DATA"         ,dest,"out_GPR_WRITE_REGISTER_FILE_"+toString(i)+"_DATA"         );
 	 }
 
@@ -1157,11 +1268,11 @@
 #endif
        
-	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_VAL"          ,dest,"out_SPR_READ_0_VAL"          );
-	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_ACK"          ,dest, "in_SPR_READ_0_ACK"          );
-	   if (_param->_have_port_context_id)
-	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_SPR_READ_0_OOO_ENGINE_ID");
-	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_NUM_REG"      ,dest,"out_SPR_READ_0_NUM_REG"      );
-	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_DATA"         ,dest, "in_SPR_READ_0_DATA"         );
-	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_DATA_VAL"     ,dest, "in_SPR_READ_0_DATA_VAL"     );
+// 	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_VAL"          ,dest,"out_SPR_READ_0_VAL"          );
+// 	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_ACK"          ,dest, "in_SPR_READ_0_ACK"          );
+// 	   if (_param->_have_port_context_id)
+// 	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_SPR_READ_0_OOO_ENGINE_ID");
+// 	   PORT_MAP(_component ,src , "in_SPR_READ_"+toString(i)+"_NUM_REG"      ,dest,"out_SPR_READ_0_NUM_REG"      );
+// 	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_DATA"         ,dest, "in_SPR_READ_0_DATA"         );
+// 	   PORT_MAP(_component ,src ,"out_SPR_READ_"+toString(i)+"_DATA_VAL"     ,dest, "in_SPR_READ_0_DATA_VAL"     );
 	 }
 
@@ -1169,16 +1280,16 @@
        for (uint32_t i=0; i<_param->_nb_write_unit; i++)
 	 {
-	   dest = _name+"_write_unit_"+toString(i);
-#ifdef POSITION
-	   _component->interface_map (src ,"spr_write_"+toString(i)
-				      dest,"spr_write_0");
-#endif
-       
-	   PORT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_VAL"          ,dest,"out_SPR_WRITE_0_VAL"          );
-	   PORT_MAP(_component ,src ,"out_SPR_WRITE_"+toString(i)+"_ACK"          ,dest, "in_SPR_WRITE_0_ACK"          );
-	   if (_param->_have_port_context_id)
-	   PORT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_SPR_WRITE_0_OOO_ENGINE_ID");
-	   PORT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_NUM_REG"      ,dest,"out_SPR_WRITE_0_NUM_REG"      );
-	   PORT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_DATA"         ,dest,"out_SPR_WRITE_0_DATA"         );
+	   dest = _name+"_glue";
+#ifdef POSITION
+	   _component->interface_map (src ,"spr_write_"+toString(i),
+				      dest,"spr_write_register_file_"+toString(i));
+#endif
+       
+	   COMPONENT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_VAL"          ,dest,"out_SPR_WRITE_REGISTER_FILE_"+toString(i)+"_VAL"          );
+	   COMPONENT_MAP(_component ,src ,"out_SPR_WRITE_"+toString(i)+"_ACK"          ,dest, "in_SPR_WRITE_REGISTER_FILE_"+toString(i)+"_ACK"          );
+	   if (_param->_have_port_ooo_engine_id)
+	   COMPONENT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_OOO_ENGINE_ID",dest,"out_SPR_WRITE_REGISTER_FILE_"+toString(i)+"_OOO_ENGINE_ID");
+	   COMPONENT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_NUM_REG"      ,dest,"out_SPR_WRITE_REGISTER_FILE_"+toString(i)+"_NUM_REG"      );
+	   COMPONENT_MAP(_component ,src , "in_SPR_WRITE_"+toString(i)+"_DATA"         ,dest,"out_SPR_WRITE_REGISTER_FILE_"+toString(i)+"_DATA"         );
 	 }
     
@@ -1211,39 +1322,39 @@
 	 }
 
-       // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-       for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-	 {
-	   uint32_t x=_param->_nb_inst_retire_rob [i];
+//        // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//        for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+// 	 {
+// 	   uint32_t x=_param->_nb_inst_retire_rob [i];
 	   
-	   for (uint32_t j=0; j<x; j++)
-	     {
-	       dest = _name;
-#ifdef POSITION
-	       _component->interface_map (src ,"retire_rob_"+toString(i)+"_"+toString(j),
-					  dest,"retire_rob_"+toString(i)+"_"+toString(j));
-#endif
-
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL"           ,
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL"           );
-	       PORT_MAP(_component ,src ,"out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK"           ,
-				    dest,"out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK"           );
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE"    ,
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE"    );
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_NUM_REG",
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_NUM_REG");
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE"    ,
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE"    );
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_NUM_REG",
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_NUM_REG");
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE"    ,
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE"    );
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_NUM_REG",
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_NUM_REG");
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE"    ,
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE"    );
-	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_NUM_REG",
-				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_NUM_REG");
-	     }
-	 }
+// 	   for (uint32_t j=0; j<x; j++)
+// 	     {
+// 	       dest = _name;
+// #ifdef POSITION
+// 	       _component->interface_map (src ,"retire_rob_"+toString(i)+"_"+toString(j),
+// 					  dest,"retire_rob_"+toString(i)+"_"+toString(j));
+// #endif
+
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL"           ,
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_VAL"           );
+// 	       PORT_MAP(_component ,src ,"out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK"           ,
+// 				    dest,"out_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_ACK"           );
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE"    ,
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_USE"    );
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_NUM_REG",
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_OLD_NUM_REG");
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE"    ,
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_USE"    );
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_NUM_REG",
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RD_NEW_NUM_REG");
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE"    ,
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_USE"    );
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_NUM_REG",
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_OLD_NUM_REG");
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE"    ,
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_USE"    );
+// 	       PORT_MAP(_component ,src , "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_NUM_REG",
+// 				    dest, "in_RETIRE_ROB_"+toString(i)+"_"+toString(j)+"_RE_NEW_NUM_REG");
+// 	     }
+// 	 }
      }
 
@@ -1253,5 +1364,5 @@
      {
        src = _name+"_read_unit_to_execution_unit";
-       std::cout << "Instance : " << src << std::endl;
+       log_printf(INFO,Core,FUNCTION,_("Instance : %s"),src.c_str());
        
        {
@@ -1277,47 +1388,47 @@
 #endif
 	     
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_VAL"                  ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_VAL"                  );
-	     PORT_MAP(_component ,src ,"out_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_ACK"                  ,
-				  dest, "in_READ_UNIT_OUT_"+toString(j               )+"_ACK"                  );
-	     if (_param->_have_port_context_id)
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_CONTEXT_ID"           ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_CONTEXT_ID"           );
-	     if (_param->_have_port_front_end_id)
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_FRONT_END_ID"         ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_FRONT_END_ID"         );
-	     if (_param->_have_port_ooo_engine_id)
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_OOO_ENGINE_ID"        ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_OOO_ENGINE_ID"        );
-	     if (_param->_have_port_packet_id)
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_PACKET_ID"            ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_PACKET_ID"            );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_OPERATION"            ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_OPERATION"            );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_TYPE"                 ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_TYPE"                 );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_STORE_QUEUE_PTR_WRITE",
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_STORE_QUEUE_PTR_WRITE");
-	     if (_param->_have_port_load_queue_ptr)
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_LOAD_QUEUE_PTR_WRITE" ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_LOAD_QUEUE_PTR_WRITE" );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_HAS_IMMEDIAT"         ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_HAS_IMMEDIAT"         );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_IMMEDIAT"             ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_IMMEDIAT"             );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RA"              ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RA"              );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RB"              ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RB"              );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RC"              ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RC"              );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_WRITE_RD"             ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_WRITE_RD"             );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_NUM_REG_RD"           ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_NUM_REG_RD"           );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_WRITE_RE"             ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_WRITE_RE"             );
-	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_NUM_REG_RE"           ,
-				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_NUM_REG_RE"           );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_VAL"                  ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_VAL"                  );
+// 	     PORT_MAP(_component ,src ,"out_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_ACK"                  ,
+// 				  dest, "in_READ_UNIT_OUT_"+toString(j               )+"_ACK"                  );
+// 	     if (_param->_have_port_context_id)
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_CONTEXT_ID"           ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_CONTEXT_ID"           );
+// 	     if (_param->_have_port_front_end_id)
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_FRONT_END_ID"         ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_FRONT_END_ID"         );
+// 	     if (_param->_have_port_ooo_engine_id)
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_OOO_ENGINE_ID"        ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_OOO_ENGINE_ID"        );
+// 	     if (_param->_have_port_rob_ptr  )
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_PACKET_ID"            ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_PACKET_ID"            );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_OPERATION"            ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_OPERATION"            );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_TYPE"                 ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_TYPE"                 );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_STORE_QUEUE_PTR_WRITE",
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_STORE_QUEUE_PTR_WRITE");
+// 	     if (_param->_have_port_load_queue_ptr)
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_LOAD_QUEUE_PTR_WRITE" ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_LOAD_QUEUE_PTR_WRITE" );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_HAS_IMMEDIAT"         ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_HAS_IMMEDIAT"         );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_IMMEDIAT"             ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_IMMEDIAT"             );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RA"              ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RA"              );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RB"              ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RB"              );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_DATA_RC"              ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_DATA_RC"              );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_WRITE_RD"             ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_WRITE_RD"             );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_NUM_REG_RD"           ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_NUM_REG_RD"           );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_WRITE_RE"             ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_WRITE_RE"             );
+// 	     PORT_MAP(_component ,src , "in_READ_UNIT_OUT_"+toString(it_read_unit_out)+"_NUM_REG_RE"           ,
+// 				  dest,"out_READ_UNIT_OUT_"+toString(j               )+"_NUM_REG_RE"           );
 	     
 	     it_read_unit_out ++;
@@ -1338,47 +1449,47 @@
 #endif
 	       
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_VAL"                  ,
-				    dest, "in_EXECUTE_IN_VAL"                  );
-	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_IN_"+toString(i)+"_ACK"                  ,
-				    dest,"out_EXECUTE_IN_ACK"                  );
-	       if (_param->_have_port_context_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_CONTEXT_ID"           ,
-				    dest, "in_EXECUTE_IN_CONTEXT_ID"           );
-	       if (_param->_have_port_front_end_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_FRONT_END_ID"         ,
-				    dest, "in_EXECUTE_IN_FRONT_END_ID"         );
-	       if (_param->_have_port_ooo_engine_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OOO_ENGINE_ID"        ,
-				    dest, "in_EXECUTE_IN_OOO_ENGINE_ID"        );
-	       if (_param->_have_port_packet_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_PACKET_ID"            ,
-				    dest, "in_EXECUTE_IN_PACKET_ID"            );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OPERATION"            ,
-				    dest, "in_EXECUTE_IN_OPERATION"            );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_TYPE"                 ,
-				    dest, "in_EXECUTE_IN_TYPE"                 );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_STORE_QUEUE_PTR_WRITE",
-				    dest, "in_EXECUTE_IN_STORE_QUEUE_PTR_WRITE");
-	       if (_param->_have_port_load_queue_ptr)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_LOAD_QUEUE_PTR_WRITE" ,
-				    dest, "in_EXECUTE_IN_LOAD_QUEUE_PTR_WRITE" );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_HAS_IMMEDIAT"         ,
-				    dest, "in_EXECUTE_IN_HAS_IMMEDIAT"         );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_IMMEDIAT"             ,
-				    dest, "in_EXECUTE_IN_IMMEDIAT"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RA"              ,
-				    dest, "in_EXECUTE_IN_DATA_RA"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RB"              ,
-				    dest, "in_EXECUTE_IN_DATA_RB"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RC"              ,
-				    dest, "in_EXECUTE_IN_DATA_RC"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RD"             ,
-				    dest, "in_EXECUTE_IN_WRITE_RD"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RD"           ,
-				    dest, "in_EXECUTE_IN_NUM_REG_RD"           );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RE"             ,
-				    dest, "in_EXECUTE_IN_WRITE_RE"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RE"           ,
-				    dest, "in_EXECUTE_IN_NUM_REG_RE"           );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_VAL"                  ,
+// 				    dest, "in_EXECUTE_IN_VAL"                  );
+// 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_IN_"+toString(i)+"_ACK"                  ,
+// 				    dest,"out_EXECUTE_IN_ACK"                  );
+// 	       if (_param->_have_port_context_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_CONTEXT_ID"           ,
+// 				    dest, "in_EXECUTE_IN_CONTEXT_ID"           );
+// 	       if (_param->_have_port_front_end_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_FRONT_END_ID"         ,
+// 				    dest, "in_EXECUTE_IN_FRONT_END_ID"         );
+// 	       if (_param->_have_port_ooo_engine_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OOO_ENGINE_ID"        ,
+// 				    dest, "in_EXECUTE_IN_OOO_ENGINE_ID"        );
+// 	       if (_param->_have_port_rob_ptr  )
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_PACKET_ID"            ,
+// 				    dest, "in_EXECUTE_IN_PACKET_ID"            );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OPERATION"            ,
+// 				    dest, "in_EXECUTE_IN_OPERATION"            );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_TYPE"                 ,
+// 				    dest, "in_EXECUTE_IN_TYPE"                 );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_STORE_QUEUE_PTR_WRITE",
+// 				    dest, "in_EXECUTE_IN_STORE_QUEUE_PTR_WRITE");
+// 	       if (_param->_have_port_load_queue_ptr)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_LOAD_QUEUE_PTR_WRITE" ,
+// 				    dest, "in_EXECUTE_IN_LOAD_QUEUE_PTR_WRITE" );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_HAS_IMMEDIAT"         ,
+// 				    dest, "in_EXECUTE_IN_HAS_IMMEDIAT"         );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_IMMEDIAT"             ,
+// 				    dest, "in_EXECUTE_IN_IMMEDIAT"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RA"              ,
+// 				    dest, "in_EXECUTE_IN_DATA_RA"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RB"              ,
+// 				    dest, "in_EXECUTE_IN_DATA_RB"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RC"              ,
+// 				    dest, "in_EXECUTE_IN_DATA_RC"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RD"             ,
+// 				    dest, "in_EXECUTE_IN_WRITE_RD"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RD"           ,
+// 				    dest, "in_EXECUTE_IN_NUM_REG_RD"           );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RE"             ,
+// 				    dest, "in_EXECUTE_IN_WRITE_RE"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RE"           ,
+// 				    dest, "in_EXECUTE_IN_NUM_REG_RE"           );
  	     }
 	   else
@@ -1391,47 +1502,47 @@
 #endif
 	       
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_VAL"                  ,
-				    dest, "in_MEMORY_IN_VAL"                  );
-	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_IN_"+toString(i)+"_ACK"                  ,
-				    dest,"out_MEMORY_IN_ACK"                  );
-	       if (_param->_have_port_context_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_CONTEXT_ID"           ,
-				    dest, "in_MEMORY_IN_CONTEXT_ID"           );
-	       if (_param->_have_port_front_end_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_FRONT_END_ID"         ,
-				    dest, "in_MEMORY_IN_FRONT_END_ID"         );
-	       if (_param->_have_port_ooo_engine_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OOO_ENGINE_ID"        ,
-				    dest, "in_MEMORY_IN_OOO_ENGINE_ID"        );
-	       if (_param->_have_port_packet_id)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_PACKET_ID"            ,
-				    dest, "in_MEMORY_IN_PACKET_ID"            );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OPERATION"            ,
-				    dest, "in_MEMORY_IN_OPERATION"            );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_TYPE"                 ,
-				    dest, "in_MEMORY_IN_TYPE"                 );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_STORE_QUEUE_PTR_WRITE",
-				    dest, "in_MEMORY_IN_STORE_QUEUE_PTR_WRITE");
-	       if (_param->_have_port_load_queue_ptr)
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_LOAD_QUEUE_PTR_WRITE" ,
-				    dest, "in_MEMORY_IN_LOAD_QUEUE_PTR_WRITE" );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_HAS_IMMEDIAT"         ,
-				    dest, "in_MEMORY_IN_HAS_IMMEDIAT"         );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_IMMEDIAT"             ,
-				    dest, "in_MEMORY_IN_IMMEDIAT"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RA"              ,
-				    dest, "in_MEMORY_IN_DATA_RA"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RB"              ,
-				    dest, "in_MEMORY_IN_DATA_RB"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RC"              ,
-				    dest, "in_MEMORY_IN_DATA_RC"              );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RD"             ,
-				    dest, "in_MEMORY_IN_WRITE_RD"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RD"           ,
-				    dest, "in_MEMORY_IN_NUM_REG_RD"           );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RE"             ,
-				    dest, "in_MEMORY_IN_WRITE_RE"             );
-	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RE"           ,
-				    dest, "in_MEMORY_IN_NUM_REG_RE"           );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_VAL"                  ,
+// 				    dest, "in_MEMORY_IN_VAL"                  );
+// 	       PORT_MAP(_component ,src , "in_EXECUTE_UNIT_IN_"+toString(i)+"_ACK"                  ,
+// 				    dest,"out_MEMORY_IN_ACK"                  );
+// 	       if (_param->_have_port_context_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_CONTEXT_ID"           ,
+// 				    dest, "in_MEMORY_IN_CONTEXT_ID"           );
+// 	       if (_param->_have_port_front_end_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_FRONT_END_ID"         ,
+// 				    dest, "in_MEMORY_IN_FRONT_END_ID"         );
+// 	       if (_param->_have_port_ooo_engine_id)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OOO_ENGINE_ID"        ,
+// 				    dest, "in_MEMORY_IN_OOO_ENGINE_ID"        );
+// 	       if (_param->_have_port_rob_ptr  )
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_PACKET_ID"            ,
+// 				    dest, "in_MEMORY_IN_PACKET_ID"            );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_OPERATION"            ,
+// 				    dest, "in_MEMORY_IN_OPERATION"            );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_TYPE"                 ,
+// 				    dest, "in_MEMORY_IN_TYPE"                 );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_STORE_QUEUE_PTR_WRITE",
+// 				    dest, "in_MEMORY_IN_STORE_QUEUE_PTR_WRITE");
+// 	       if (_param->_have_port_load_queue_ptr)
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_LOAD_QUEUE_PTR_WRITE" ,
+// 				    dest, "in_MEMORY_IN_LOAD_QUEUE_PTR_WRITE" );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_HAS_IMMEDIAT"         ,
+// 				    dest, "in_MEMORY_IN_HAS_IMMEDIAT"         );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_IMMEDIAT"             ,
+// 				    dest, "in_MEMORY_IN_IMMEDIAT"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RA"              ,
+// 				    dest, "in_MEMORY_IN_DATA_RA"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RB"              ,
+// 				    dest, "in_MEMORY_IN_DATA_RB"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_DATA_RC"              ,
+// 				    dest, "in_MEMORY_IN_DATA_RC"              );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RD"             ,
+// 				    dest, "in_MEMORY_IN_WRITE_RD"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RD"           ,
+// 				    dest, "in_MEMORY_IN_NUM_REG_RD"           );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_WRITE_RE"             ,
+// 				    dest, "in_MEMORY_IN_WRITE_RE"             );
+// 	       PORT_MAP(_component ,src ,"out_EXECUTE_UNIT_IN_"+toString(i)+"_NUM_REG_RE"           ,
+// 				    dest, "in_MEMORY_IN_NUM_REG_RE"           );
  	     }
 	 }
@@ -1443,5 +1554,5 @@
      {
        src = _name+"_execution_unit_to_write_unit";
-       std::cout << "Instance : " << src << std::endl;
+       log_printf(INFO,Core,FUNCTION,_("Instance : %s"),src.c_str());
 
        {
